* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
#bgCanvas {
    position: fixed;
    top: 0;
    z-index: -1;
}
body {
    height: 100vh;
    width: 100%;
    background-image: 
        radial-gradient(circle at 50% -20%, #25103f 0%, #050505 70%);
    background-size: 100% 100%; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: monospace;
    color: #ffffff;
}

@media (max-width: 768px) {
    body {
        background-image: 
            radial-gradient(rgba(255, 255, 255, 0.3) 1px, transparent 1px), 
            radial-gradient(circle at 50% -20%, #25103f 0%, #050505 70%);
        background-size: 24px 24px, 100% 100%;
        background-attachment: fixed
    }
    #bgCanvas {
        display: none;
    }
}